{"openapi":"3.0.4","info":{"title":"Delete a Custom Data Model","description":"Delete a Custom Data Model. The data model will remain viewable at previous as at times, but will no longer\r\nbe part of any hierarchies.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/datamodel/{entityType}/{scope}/{code}":{"delete":{"tags":["Custom Data Models"],"summary":"Delete a Custom Data Model","description":"Delete a Custom Data Model. The data model will remain viewable at previous as at times, but will no longer\r\nbe part of any hierarchies.","operationId":"DeleteCustomDataModel","parameters":[{"name":"entityType","in":"path","description":"The entity type of the Data Model.","required":true,"schema":{"maxLength":64,"minLength":1,"type":"string"}},{"name":"scope","in":"path","description":"The scope of the specified Data Model.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string","readOnly":true}},{"name":"code","in":"path","description":"The code of the specified Data Model.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"responses":{"200":{"description":"The deleted entity metadata","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}